Imports System.Windows.Forms
Imports DigitalData.Controls.LookupGrid
Imports DigitalData.Modules.Logging

Namespace Modules
    ''' <summary>
    ''' Patterns for IDB Attributes
    ''' </summary>
    Public Class IDB
        Inherits BaseModule
        Implements IModule

        Public Const IDB_OBJECT_ID = "IDB_OBJECT_ID"

        Public Property PatternIdentifier As String = "ATTR" Implements IModule.PatternIdentifier
        Public Property IsComplex As Boolean = True Implements IModule.IsComplex

        Public Sub New(pLogConfig As LogConfig)
            MyBase.New(pLogConfig)
        End Sub

        Public Function Replace(pInput As String) As String
            'TODO: Implement, depends on IDB Data, which is not in monorepo yet

            Return pInput
        End Function
    End Class
End Namespace
